Bullet Collision Detection & Physics Library: btWheelContactPoint Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btWheelContactPoint Struct Reference
Collaboration diagram for btWheelContactPoint:
[legend]

## Public Member Functions
| btWheelContactPoint (btRigidBody *body0, btRigidBody *body1, const btVector3 &frictionPosWorld, const btVector3 &frictionDirectionWorld, btScalar maxImpulse)

## Public Attributes
btRigidBody * | m_body0
btRigidBody * | m_body1
btVector3 | m_frictionPositionWorld
btVector3 | m_frictionDirectionWorld
btScalar | m_jacDiagABInv
btScalar | m_maxImpulse

## Detailed Description

Definition at line 438 of file btRaycastVehicle.cpp.

## Constructor & Destructor Documentation

## ◆ btWheelContactPoint()

btWheelContactPoint::btWheelContactPoint | ( | btRigidBody * | body0,
|  | btRigidBody * | body1,
|  | const btVector3 & | frictionPosWorld,
|  | const btVector3 & | frictionDirectionWorld,
|  | btScalar | maxImpulse
| ) |  |
| inline

Definition at line 447 of file btRaycastVehicle.cpp.

## Member Data Documentation

## ◆ m_body0

btRigidBody* btWheelContactPoint::m_body0

Definition at line 440 of file btRaycastVehicle.cpp.

## ◆ m_body1

btRigidBody* btWheelContactPoint::m_body1

Definition at line 441 of file btRaycastVehicle.cpp.

## ◆ m_frictionDirectionWorld

btVector3 btWheelContactPoint::m_frictionDirectionWorld

Definition at line 443 of file btRaycastVehicle.cpp.

## ◆ m_frictionPositionWorld

btVector3 btWheelContactPoint::m_frictionPositionWorld

Definition at line 442 of file btRaycastVehicle.cpp.

## ◆ m_jacDiagABInv

btScalar btWheelContactPoint::m_jacDiagABInv

Definition at line 444 of file btRaycastVehicle.cpp.

## ◆ m_maxImpulse

btScalar btWheelContactPoint::m_maxImpulse

Definition at line 445 of file btRaycastVehicle.cpp.

The documentation for this struct was generated from the following file:

- btRaycastVehicle.cpp